Application: gvSIG desktop - gvSIG bugs #4424
Error initializing resource '{unknown}'
11/03/2016 10:24 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Geoprocess

Target version: 2.4.0-2828

Severity: Minor Add-on version:

gvSIG version: 2.33 Add-on build:

gvSIG build: 2707 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

An Error intializing resource 'funknow}' (Caused by: java.lang.NullPointerException: dbf file is null) occurs when | execute the "Random
vector layer" geoprocess:

WARN pool-2-thread-1 es.unex.sextante.core.SextanteLogHandler -
java.lang.RuntimeException: org.gvsig.fmap.dal.exception.InitializeException: Error intializing resource '{unknowy}'.
at org.gvsig.fmap.dal.spi.AbstractDataStoreProviderFactory.create(AbstractDataStoreProviderFactory.java:53)
at org.gvsig.fmap.dal.impl.DefaultDataManager.openStore(DefaultDataManager.java:351)
at org.gvsig.geoprocess.lib.sextante.dataObjects.FlyrVectlVectorLayer.create(FlyrVectlVectorLayer.java:202)
at org.gvsig.geoprocess.lib.sextante.core.DefaultOutputFactory.getNewVectorLayer(DefaultOutputFactory.java:127)
at org.gvsig.geoprocess.lib.sextante.core.DefaultOutputFactory.getNewVectorLayer(DefaultOutputFactory.java:72)
at es.unex.sextante.core.GeoAlgorithm.getNewVectorLayer(GeoAlgorithm.java:1134)
at es.unex.sextante.core.GeoAlgorithm.getNewVectorLayer(GeoAlgorithm.java:1172)
at es.unex.sextante.vectorTools.randomVector.RandomVectorAlgorithm.processAlgorithm(RandomVectorAlgorithm.java:71)
at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:228)
at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:174)
at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:59)
at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:13)
at java.util.concurrent.FutureTask.run(Unknown Source)
at java.util.concurrent. ThreadPoolExecutor.runWorker(Unknown Source)
at java.util.concurrent. ThreadPoolExecutor$Worker.run(Unknown Source)
at java.lang.Thread.run(Unknown Source)
Caused by: org.gvsig.fmap.dal.exception.InitializeException: Error intializing resource '{unknow}'.
at org.gvsig.fmap.dal.store.dbf. DBFStoreProvider.init(DBFStoreProvider.java: 158)
at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.init(SHPStoreProvider.java:112)
at org.gvsig.fmap.dal.store.dbf. DBFStoreProvider.<init>(DBF StoreProvider.java:148)
at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.<init>(SHPStoreProvider.java:106)
at org.gvsig.fmap.dal.store.shp.SHPStoreProviderFactory.createProvider(SHPStoreProviderFactory.java:69)
at org.gvsig.fmap.dal.spi.AbstractDataStoreProviderFactory.create(AbstractDataStoreProviderFactory.java:48)
... 15 more
Caused by: java.lang.NullPointerException: dbf file is null
... 21 more
INFO pool-2-thread-1 es.unex.sextante.core.SextanteLogHandler - Executing command: extent( 0.0, 0.0, 0.0, 100.0, 100.0,
0.0, 1.0, 1.0)
Executing command: runalg("randomvector", "1", "0", "#")
Starting algorithm execution...:3-nov-2016 10.09.20
Finished algorithm execution:3-nov-2016 10.09.20
Execution time (millisecs):147

History

#1 - 11/03/2016 10:30 AM - Antonio Falciano

The same issue happens when the user tries to create a new shape layer.
#2 - 06/08/2017 02:36 PM - Alvaro Anguix

- Category set to Geoprocess

#3 - 06/14/2017 05:31 PM - Alvaro Anguix

I've tested in gvSIG 2.4 (2822) and it works fine.

Do you have the same problem with gvSIG 2.4 builds?

#4 - 07/03/2017 12:37 PM - Antonio Falciano
- Target version set to 2.4.0-2828
- Status changed from New to Closed

It doesn't happen anymore in gvSIG 2.4, so we can close the ticket.
